<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    use WithoutModelEvents;

    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $this->call(SettingsSeeder::class);
        $this->call(DailyRewardsSeeder::class);
        $this->call(SubscriptionPlansSeeder::class);
        $this->call(AiStudioTemplatesSeeder::class);
        $this->call(PaymentMethodsSeeder::class);
        $this->call(MadarDemoSeeder::class);
        $this->call(UserSubscriptionsBootstrapSeeder::class);
    }
}
